OpenNMS API 1.2.9

## org.opennms.netmgt.scheduler
Class ScheduleTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.opennms.netmgt.scheduler.ScheduleTest

All Implemented Interfaces:
  junit.framework.Test

public class ScheduleTest
extends junit.framework.TestCase

Represents a ScheduleTest

Author:
  brozow

Nested Class Summary
`(package private) class` `ScheduleTest.MockSchedulable`

Field Summary
`private MockInterval` `m_interval`
`private Schedule` `m_sched`
`private ScheduleTest.MockSchedulable` `m_schedulable`
`private MockScheduler` `m_scheduler`

Fields inherited from class junit.framework.TestCase
``

Constructor Summary
`ScheduleTest()`

Method Summary
`private void` `assertRunAndScheduled(long currentTime, long interval, int count, int entryCount)`
`static void` `main(java.lang.String[] args)`
`protected void` `setUp()`
`protected void` `tearDown()`
`void` `testAdjustSchedule()`
`void` `testAdjustScheduleWithinRun()`
`void` `testSchedule()`
`void` `testTemporarilySuspend()`
`void` `testUnschedule()`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### m_schedulable

    private ScheduleTest.MockSchedulable m_schedulable

### m_interval

    private MockInterval m_interval

### m_scheduler

    private MockScheduler m_scheduler

### m_sched

    private Schedule m_sched

Constructor Detail

### ScheduleTest

    public ScheduleTest()

Method Detail

### main

    public static void main(java.lang.String[] args)

### setUp

    protected void setUp()
                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### tearDown

    protected void tearDown()
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testSchedule

    public void testSchedule()

### testAdjustSchedule

    public void testAdjustSchedule()

### testUnschedule

    public void testUnschedule()

### testTemporarilySuspend

    public void testTemporarilySuspend()

### testAdjustScheduleWithinRun

    public void testAdjustScheduleWithinRun()

### assertRunAndScheduled

    private void assertRunAndScheduled(long currentTime,
                                       long interval,
                                       int count,
                                       int entryCount)

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.